%define debug_package %{nil}

%ifarch aarch64
%define bootstrap 1
%else
%define bootstrap 0
%endif
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

Name:		ldetect-lst
Version:	0.6.46
Release:	%mkrel 1
Summary:	Hardware list for the light detection library
URL:		http://gitweb.mageia.org/software/ldetect-lst/
Source0:	%{name}-%{version}.tar.xz
Patch1:     001-cards.patch
Patch2:     002-pcitable.patch
Group:		System/Kernel and hardware
License:	GPLv2+
Requires:   sd
Requires(post):	perl gzip
Requires(preun): perl
BuildRequires:	perl(MDK::Common)
%if !%{bootstrap}
# for testsuite:
BuildRequires:	drakx-kbd-mouse-x11
BuildRequires:	drakxtools-backend
%endif
Provides:	pciids
Provides:	hwdata

%package	devel
Summary:	Devel for ldetect-lst
Group:		Development/Perl
Requires:	ldetect-lst

%description
The hardware device lists provided by this package are used as lookup 
table to get hardware autodetection.

%description	devel
This package provides merge2pcitable, a tool that enables to merge in hardware
databases new entries pacakged in eg /usr/share/ldetect-lst/pcitable.d.

%prep
%setup -q
%apply_patches

%build
%if %{bootstrap}
pushd lst
touch hardcoded-modules.alias fallback-modules.alias preferred-modules.alias
popd
%endif

%make

%check
%if !%{bootstrap}
make check
%endif

%install
%makeinstall slibdir=$RPM_BUILD_ROOT/lib

# trigger is needed to upgrade from a package having
# /usr/share/ldetect-lst/pcitable in the package to the new scheme
%triggerpostun -- %{name}
if [ -x /usr/sbin/update-ldetect-lst ]; then
  /usr/sbin/update-ldetect-lst
fi

%preun -p "/usr/sbin/update-ldetect-lst --clean"

%post -p /usr/sbin/update-ldetect-lst


%files
%doc AUTHORS 
%{_datadir}/usb.ids
%{_datadir}/oui.txt
%{_datadir}/pci.ids
%{_datadir}/misc/pnp.ids
%{_datadir}/%{name}
%{_sbindir}/*
/lib/module-init-tools/ldetect-lst-modules.alias

%files devel
%doc convert/README.pcitable
%{_bindir}/*



%changelog
* Tue Aug 08 2023 tex - 0.6.46-1pclos2023
- new version

* Sun Jul 30 2023 tex - 0.6.45-1pclos2023
- fix cards+

* Thu Jul 20 2023 tex - 0.6.44-1pclos2023
- new version

* Thu Jun 08 2023 tex - 0.6.43-1pclos2023
- new version

* Sun May 28 2023 tex - 0.6.42-1pclos2023
- new version
